Error: Get "http://localhost:8080/api/v1/namespaces/default/secrets/ngc-clara": dial tcp 127.0.0.1:8080: connect: connection refused

Hi,

Two situations:

  1. I can’t access Clara Platform. I am not an expert in Kubernetes; I am performing the tests on a local facility with wsl2 with W11.
    I request help or an idea,

Obs: Configures NGC credentials for CLI OK

    1. This same error fatal also appears in this other situation:

I can run other samples-cuda via docker without problems…
Why do bootstrap.sh not install helm/kubernetes in wsl2…

See this with root/wsl2:

PS C:\Users\Ander> wsl -u root
root@Ander:/mnt/c/Users/Ander# cd bootstrap
root@Ander:/mnt/c/Users/Ander/bootstrap# ./bootstrap.sh
2021-09-06 00:22:12 [INFO]: Clara Deploy SDK System Prerequisites Installation
2021-09-06 00:22:12 [INFO]: Checking user privilege...

2021-09-06 00:22:12 [INFO]: Checking for NVIDIA GPU driver...
2021-09-06 00:22:12 [INFO]: NVIDIA CUDA driver version found: 510.06
2021-09-06 00:22:12 [INFO]: NVIDIA GPU driver found
2021-09-06 00:22:12 [INFO]: Check and install required packages: apt-transport-https ca-certificates curl software-properties-common network-manager unzip lsb-release dirmngr jq ...
Get:1 file:/var/cuda-repo-wsl-ubuntu-11-4-local  InRelease
Ign:1 file:/var/cuda-repo-wsl-ubuntu-11-4-local  InRelease
Get:2 file:/var/cuda-repo-wsl-ubuntu-11-4-local  Release [564 B]
Get:2 file:/var/cuda-repo-wsl-ubuntu-11-4-local  Release [564 B]
Hit:4 https://download.docker.com/linux/ubuntu focal InRelease
Hit:5 https://nvidia.github.io/libnvidia-container/experimental/ubuntu18.04/amd64  InRelease
Hit:6 https://nvidia.github.io/libnvidia-container/stable/ubuntu18.04/amd64  InRelease
Get:7 https://nvidia.github.io/nvidia-container-runtime/stable/ubuntu18.04/amd64  InRelease [1481 B]
Hit:8 https://nvidia.github.io/nvidia-docker/ubuntu18.04/amd64  InRelease
Get:10 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Hit:11 http://archive.ubuntu.com/ubuntu focal InRelease
Get:12 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:9 https://packages.cloud.google.com/apt kubernetes-xenial InRelease
Get:13 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Fetched 330 kB in 2s (147 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
lsb-release is already the newest version (11.1.0ubuntu2).
unzip is already the newest version (6.0-25ubuntu1).
ca-certificates is already the newest version (20210119~20.04.1).
curl is already the newest version (7.68.0-1ubuntu2.6).
dirmngr is already the newest version (2.2.19-3ubuntu2.1).
network-manager is already the newest version (1.22.10-1ubuntu2.2).
software-properties-common is already the newest version (0.98.9.5).
apt-transport-https is already the newest version (2.0.6).
jq is already the newest version (1.6-1ubuntu0.20.04.1).
The following package was automatically installed and is no longer required:
  nsight-compute-2021.2.0
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 218 not upgraded.
2021-09-06 00:22:15 [INFO]: Starting network-manager service...
 * Starting network connection manager NetworkManager                                                            [ OK ]
2021-09-06 00:22:16 [INFO]: Successfully installed required packages: apt-transport-https ca-certificates curl software-properties-common network-manager unzip lsb-release dirmngr jq !
2021-09-06 00:22:16 [INFO]: Disabling swap ...

Why…:(

Configurations:

Best Regards

Hi there,
A new release of Clara Deploy is available here. In our most recent release, we have upgraded the version of Kubernetes and Helm, and have moved from the bootstrap installer to a simpler Ansible installer that will install everything for you including the Clara CLI.

The release you are using had a dependency on Helm version 2, which is now obsoleted, and will fail to initialize.
Please run the uninstall script, reboot and run the new installer.

1 Like

I uninstalled everything, Ansible installed, I have other problems, but they are a subject for another topic, Thank you very much!